Bug 1576933 - [abrt] PackageKit: g_slist_foreach(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: g_slist_foreach(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:72ec3dc2db705bd3f53c4f1bc7b...
: 1577221 1577641 1582676 1583806 1589519 1589551 1596984 1610119 1638089 1639477 1643638 1644082 1644087 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 18:57 UTC by Argentis
Modified: 2019-05-28 23:18 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:18:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.06 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: cgroup (184 bytes, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: core_backtrace (14.55 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: dso_list (8.50 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: environ (190 bytes, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: maps (37.87 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: mountinfo (3.68 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: open_fds (4.44 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details
File: var_log_messages (3.94 KB, text/plain)
2018-05-10 18:57 UTC, Argentis
no flags Details

Description Argentis 2018-05-10 18:57:06 UTC
Version-Release number of selected component:
PackageKit-1.1.10-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_slist_foreach
executable:     /usr/libexec/packagekitd
journald_cursor: s=57fc1833bc5c4b1d8178c79a3d2e8f2f;i=9f70;b=1385d55c80554714a4ee4d257b435cac;m=42a04875;t=56bdc3e1c6338;x=a5f54e3d8a9479ee
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Potential duplicate: bug 1421484

Comment 1 Argentis 2018-05-10 18:57:12 UTC
Created attachment 1434512 [details]
File: backtrace

Comment 2 Argentis 2018-05-10 18:57:14 UTC
Created attachment 1434513 [details]
File: cgroup

Comment 3 Argentis 2018-05-10 18:57:15 UTC
Created attachment 1434514 [details]
File: core_backtrace

Comment 4 Argentis 2018-05-10 18:57:17 UTC
Created attachment 1434515 [details]
File: cpuinfo

Comment 5 Argentis 2018-05-10 18:57:18 UTC
Created attachment 1434516 [details]
File: dso_list

Comment 6 Argentis 2018-05-10 18:57:20 UTC
Created attachment 1434517 [details]
File: environ

Comment 7 Argentis 2018-05-10 18:57:21 UTC
Created attachment 1434518 [details]
File: limits

Comment 8 Argentis 2018-05-10 18:57:23 UTC
Created attachment 1434519 [details]
File: maps

Comment 9 Argentis 2018-05-10 18:57:24 UTC
Created attachment 1434520 [details]
File: mountinfo

Comment 10 Argentis 2018-05-10 18:57:26 UTC
Created attachment 1434521 [details]
File: open_fds

Comment 11 Argentis 2018-05-10 18:57:27 UTC
Created attachment 1434522 [details]
File: proc_pid_status

Comment 12 Argentis 2018-05-10 18:57:28 UTC
Created attachment 1434523 [details]
File: var_log_messages

Comment 13 Karanvir Singh 2018-05-11 13:45:56 UTC
*** Bug 1577221 has been marked as a duplicate of this bug. ***

Comment 14 jacksnightmare999 2018-05-13 17:04:26 UTC
*** Bug 1577641 has been marked as a duplicate of this bug. ***

Comment 15 Tomas Toth 2018-05-20 09:39:21 UTC
Similar problem has been detected:

Logout from KDE and login again. Seems to happen during initial check for updates after re-login.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_slist_foreach
executable:     /usr/libexec/packagekitd
journald_cursor: s=84e3bb5a6ae04073b516cf6f45744e22;i=73dc0;b=061f7d9a860d48c081af9d0e2789a370;m=a6253449c;t=56c9d0babd64b;x=17b76f5fd981bf8c
kernel:         4.16.8-300.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 16 Luciano Natale 2018-05-25 23:34:28 UTC
*** Bug 1582676 has been marked as a duplicate of this bug. ***

Comment 17 Christian Stadelmann 2018-05-27 19:53:19 UTC
Similar problem has been detected:

I did not interact with PackageKit or its GUI frontends (GNOME Software in my case) while the crash happened. I did run a `dnf upgrade` though.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_slist_foreach
executable:     /usr/libexec/packagekitd
journald_cursor: s=3aba300ba12044f5bb6c357ba7201011;i=9d244;b=ee71f94538334f1192df0a96c7ee374f;m=b4d77768a;t=56d352087ee0c;x=640beb9adad71c4f
kernel:         4.16.11-300.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp

Comment 18 Fernando Gonzalez Castellanos 2018-05-29 18:20:08 UTC
*** Bug 1583806 has been marked as a duplicate of this bug. ***

Comment 19 Robin Gierse 2018-06-10 12:32:49 UTC
*** Bug 1589519 has been marked as a duplicate of this bug. ***

Comment 20 Didik Supriadi 2018-06-10 17:44:58 UTC
*** Bug 1589551 has been marked as a duplicate of this bug. ***

Comment 21 Vanoywj 2018-07-01 07:52:38 UTC
*** Bug 1596984 has been marked as a duplicate of this bug. ***

Comment 22 Brian J. Murrell 2018-07-12 11:54:52 UTC
Similar problem has been detected:

Not sure what caused this

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_slist_foreach
executable:     /usr/libexec/packagekitd
journald_cursor: s=bccf4023ce8043b6953e67f29186079c;i=6da0a;b=c815ecd9d65f487ea3710351db9fcda1;m=15239576c9;t=56fc643ace23d;x=fb9aa2bf3f3be773
kernel:         4.17.2-200.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 23 Sumit Kumar Sharma 2018-07-31 02:29:01 UTC
*** Bug 1610119 has been marked as a duplicate of this bug. ***

Comment 24 Ivan Novikov 2018-10-10 15:56:51 UTC
*** Bug 1638089 has been marked as a duplicate of this bug. ***

Comment 25 ep 2018-10-15 19:49:17 UTC
*** Bug 1639477 has been marked as a duplicate of this bug. ***

Comment 26 Mars 2018-10-26 19:54:39 UTC
*** Bug 1643638 has been marked as a duplicate of this bug. ***

Comment 27 Enrique Guadalupe Rodríguez Ramírez 2018-10-30 00:51:00 UTC
*** Bug 1644082 has been marked as a duplicate of this bug. ***

Comment 28 Enrique Guadalupe Rodríguez Ramírez 2018-10-30 01:23:14 UTC
*** Bug 1644087 has been marked as a duplicate of this bug. ***

Comment 29 Ben Cotton 2019-05-02 20:17:41 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 30 Ben Cotton 2019-05-28 23:18:50 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.